Get Thread
CLI:
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
pod_id
ID of pod.
thread_id
ID of thread.
Query parameters
limit
Maximum number of messages to return. Cannot exceed 100.
page_token
Token returned by the previous response for retrieving the next, older page.
Response
This endpoint returns an object.
inbox_id
The ID of the inbox.
thread_id
ID of thread.
labels
Labels of thread.
timestamp
Timestamp of last sent or received message.
senders
Senders in thread. In format username@domain.com or Display Name <username@domain.com>.
recipients
Recipients in thread. In format username@domain.com or Display Name <username@domain.com>.
last_message_id
ID of last message in thread.
message_count
Number of messages in thread.
size
Size of thread in bytes.
updated_at
Time at which thread was last updated.
created_at
Time at which thread was created.
count
Number of messages in this response page.
messages
Messages in this page, ordered by timestamp ascending. The first page contains the newest messages; follow next_page_token to retrieve older pages.
received_timestamp
Timestamp of last received message.
sent_timestamp
Timestamp of last sent message.
subject
Subject of thread.
preview
Text preview of last message in thread.
attachments
Attachments in thread.
limit
Maximum number of messages requested for this page.
next_page_token
Token for the next, older page of messages. Omitted when this page completes the thread.
Errors
404
Not Found Error
